MCP Server for Creating Splitit Plans
Splitit's MCP server provides tools that enable AI assistants and agents to create Splitit installment plans. It allows for complete checkout session lifecycle management including session creation, session updating, payment plan presentation and selection, and transaction confirmation or cancellation. Note that this tool is intended to help with creating Splitit plans, not managing them.
Endpoint
https://mcp.sandbox.splitit.com/mcp (sandbox)
Connecting to the Server
- Curl
- Claude Desktop
- Cline (VS Code Extension)
- Cursor
- Call as follows ("list available tools" method):
curl -X POST https://mcp.sandbox.splitit.com/mcp \
-H "Content-Type: application/json" \
-H "Accept: application/json, text/event-stream" \
-H "Authorization: Bearer <TOKEN>" \ // or use Api-Key
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/list"
}'
1. Add the JSON below to your respective Claude Desktop configuration file, which you can find in the following locations:
{
"mcpServers": {
"splitit-checkout": {
"url": "https://mcp.sandbox.splitit.com/mcp",
"headers": {
"Api-Key": "bXlfY2xpZW50Om15X3NlY4JldA==" // or use bearer token
}
}
}
}
1. Configure in Cline's MCP settings:
{
"name": "Splitit Checkout",
"url": "https://mcp.sandbox.splitit.com/mcp",
"headers": {
"Authorization": "Bearer YOUR_TOKEN_HERE" // or use Api-Key
}
}
1. Go to Settings -> Cursor Settings -> Tools & MCP Servers -> Add Custom MCP or New MCP Server
2. Add the JSON below:
{
"mcpServers": {
"splitit-checkout": {
"url": "https://mcp.sandbox.splitit.com/mcp",
"transport": "sse",
"headers": {
"Api-Key": "bXlfY2xpZW50Om15X3NlY4JldA==" // or use bearer token
}
}
}
}
Authentication
You authenticate to Splitit's MCP server by adding one of two headers:
- a bearer header token you fetch from Splitit's ID server via OAuth
- an API Key: a Base64-encoded string composed of your Splitit client_id and client_secret
- OAuth
- API Key
- Follow the instructions here to fetch a bearer token from the Splitit ID server. Attach it as a header to all of your MCP calls.
- In addition to the header, you will need to provide a Terminal Id (a.k.a. Terminal API Key) in your agent prompts, because various Splitit MCP tools require it. Find your Terminal Id in your Merchant Hub under Merchants Management-> Select Your Merchant-> Terminals.
Note:
- If you are unable to successfully access the MCP server, you may need additional scopes (permissions) added to your account by Splitit support, namely api.v3 and ext.mcp.server
- Go to your Merchant Hub, where you'll find three items necessary to call Splitit's MCP server:
- An API Username, which you can find under Merchants Management-> Select Your Merchant-> Credentials. Copy the
Usernameparameter. - An API Password, which you can find under Merchants Management-> Select Your Merchant-> Credentials. Click Generate a new password.

- A Terminal Id (a.k.a. Terminal API Key), which can be found under Merchants Management-> Select Your Merchant-> Terminals. Copy the
Terminal Idfor the terminal you'd like to use.

- Convert your API Username and API Password to base64 in your terminal:
echo -n "my_client:my_secret" | base64
(for example, echo -n APISPL_000051913.f1dba14dc12a462cbede4e0cb21774e4:sD3Hj1clozmScU0a8ZbAwWAMJO9Xz3PCpucAtWBqhMus0jen6u | base64)
-
You will need to add the output as a header named Api-Key to your MCP calls named, i.e.,
Api-Key: bXmfY2opXW50Om15X3NlY3JldA== -
Your third credential, Terminal Id (a.k.a. Terminal API Key), needs to be included in your agent prompts, because various Splitit MCP tools require it.
Notes:
- Include your Api-Key header in all calls
- If you are unable to use the MCP server, you may need additional scopes (permissions) added to your account by Splitit support, namely api.v3 and ext.mcp.server